# asn.1(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

asn.1 - ASN.1 File

## FILES

asn1.emf - asn.1 file hook definition
ans1.etf - Template file

## EXTENSIONS

asn1 - ASN.1 files.

## MAGIC STRINGS

-!- asn.1 -!-

Recognized by MicroEmacs only, defines the file to be a asn.1.

## DESCRIPTION

The asn1 file type template handles the hilighting of the asn.1 files.

General Editing

On creating a new file, a new header is automatically included into the file. time(2m) is by default enabled, allowing the modification time-stamp to be maintained in the header.

By default, `TAB`'s are enabled as this is the syntactical feature of the file.

Hilighting

The hilighting emphasizes the keywords and comments within the asn.1.

## BUGS

None reported.

## SEE ALSO

time(2m).

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>